///////
//  A console application log the user off from Windows
///////
//
//  This allows a user to terminate a Windows 95 / NT 
// session from the command line, either conditionally, or
// with a message box for confirmation
//
///////
//
// Copyright (c) Steve Kemp 1998, skx@tardis.ed.ac.uk
//
// http://www.tardis.ed.ac.uk/~skx/
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////
#include <windows.h>
#include <stdio.h>

void main( char argc, char *argv[] )
{
  BOOL force = false;

  // see if the user wanted to be logged off without
  // conformation
  for ( int i = 1; i < argc; i++ )
  {
      if ( strcmp( "/q", argv[ i ] ) == 0 )
          force = true;

      if ( strcmp( "/?", argv[ i ] ) == 0 )
      { printf( "Logoff v1.0 - skx@tardis.ed.ac.uk\n\n" );
        printf( "   Usage: logoff [/q] [/?]\n\n" );
        printf( "   /q     Logoff without confirmation\n" );
        printf( "   /?     Show this info\n" );
        
        return;
      }

  }

  if ( force )
  { ExitWindows( NULL, NULL );
  }
  else
  {
      if ( MessageBox( NULL, "Do you really wish to end this session?", "Log off confirmation", MB_YESNO ) == IDYES )
          ExitWindows( NULL, NULL );
  }
  
}